Page MenuHomePhabricator

Pasting next to an MWEntity adds a ☀
Closed, ResolvedPublic8 Story Points

Description

When pasting an external link in the text, a character "☀" is added just before the link. Example.

Event Timeline

NemesisIII raised the priority of this task from to Needs Triage.
NemesisIII updated the task description. (Show Details)
NemesisIII added a project: VisualEditor.
NemesisIII changed Security from none to None.
NemesisIII added a subscriber: NemesisIII.

James says: "pasting into a slug sometimes but not always inserts the ☀ placeholder but not the ☂ placeholder". From the example diff it looks like that's what's going on.

Jdforrester-WMF triaged this task as High priority.Dec 5 2014, 11:55 PM

Can't reproduce, need more specific instructions.

So far, the most reliable way to reproduce the issue is like this:

  1. In Text Edit switch to plain text and type something - copy it
  2. In VE, on a new line type one word and in Edit Source add   to the end of the line
  3. Paste the copied words from TextEdit - the text will be displayed on a new line pre-appended with ☀.

Can you be more precise still. What is "Text Edit"? From where to where do you copy? At what position do you paste?

Sorry - some clarifications:

  • type a word in TextEdit((Mac text editor) in plain text mode or in Notepad - select to copy
  • in VE type word(s) on a new line
  • switch to Edit Source - add   to the previously typed word(s) (at the end of a line)
  • save and switch back to VE
    • position your cursor at the end of the line that has   and paste the copied word from TextEdit(Notepad)

The pasted word will be on the next line with ☀ char.

Esanders renamed this task from Pasting an external link adds a ☀ to Pasting next to an MWEntity adds a ☀.Jan 5 2015, 12:54 PM

Change 182795 had a related patch set uploaded (by Esanders):
Fix context comparison on after paste

https://gerrit.wikimedia.org/r/182795

Patch-For-Review

Change 182795 merged by jenkins-bot:
Fix context comparison on after paste

https://gerrit.wikimedia.org/r/182795

Jdforrester-WMF moved this task from Blocked to Q4 on the VisualEditor board.Jan 6 2015, 7:40 PM

Change 183081 had a related patch set uploaded (by Catrope):
Fix context comparison on after paste

https://gerrit.wikimedia.org/r/183081

Patch-For-Review

Change 183081 merged by jenkins-bot:
Fix context comparison on after paste

https://gerrit.wikimedia.org/r/183081

Checked in betalabs and test2.

Jdforrester-WMF edited a custom field.Feb 2 2015, 7:54 PM